XMSSReducedSignature (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.xmss

## Class XMSSReducedSignature

- java.lang.Object
- - org.bouncycastle.pqc.crypto.xmss.XMSSReducedSignature

- All Implemented Interfaces:
    XMSSStoreableObjectInterface
  Direct Known Subclasses:
    XMSSSignature

      public class XMSSReducedSignature
      extends java.lang.Object
      implements XMSSStoreableObjectInterface

  Reduced XMSS Signature.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XMSSReducedSignature.Builder`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XMSSReducedSignature(XMSSReducedSignature.Builder builder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<XMSSNode>` | `getAuthPath()`
    `XMSSParameters` | `getParams()`
    `org.bouncycastle.pqc.crypto.xmss.WOTSPlusSignature` | `getWOTSPlusSignature()`
    `byte[]` | `toByteArray()` Create byte representation of object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMSSReducedSignature

          protected XMSSReducedSignature(XMSSReducedSignature.Builder builder)

  - ### Method Detail

    - #### toByteArray

          public byte[] toByteArray()

      Description copied from interface: `XMSSStoreableObjectInterface`
      Create byte representation of object.
      Specified by:
        `toByteArray` in interface `XMSSStoreableObjectInterface`
      Returns:
        Byte representation of object.

    - #### getParams

          public XMSSParameters getParams()

    - #### getWOTSPlusSignature

          public org.bouncycastle.pqc.crypto.xmss.WOTSPlusSignature getWOTSPlusSignature()

    - #### getAuthPath

          public java.util.List<XMSSNode> getAuthPath()